com.sun.star.lib.uno.helper

## Class MultiTypeInterfaceContainer

- java.lang.Object
- - com.sun.star.lib.uno.helper.MultiTypeInterfaceContainer

-     public class MultiTypeInterfaceContainer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiTypeInterfaceContainer()` Creates a new instance of MultiTypeInterfaceContainer

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addInterface(Object ckey, Object iface)`
    `void` | `clear()`
    `void` | `disposeAndClear(EventObject evt)`
    `Type[]` | `getContainedTypes()` only returns types which have at least one value in InterfaceContainer return value can contain an element null, if someone called addInterface (null, interf)
    `InterfaceContainer` | `getContainer(Object key)` param key can be null
    `int` | `removeInterface(Object key, Object iface)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiTypeInterfaceContainer

          public MultiTypeInterfaceContainer()

      Creates a new instance of MultiTypeInterfaceContainer

  - ### Method Detail

    - #### getContainedTypes

          public Type[] getContainedTypes()

      only returns types which have at least one value in InterfaceContainer return value can contain an element null, if someone called addInterface (null, interf)

    - #### getContainer

          public InterfaceContainer getContainer(Object key)

      param key can be null

    - #### addInterface

          public int addInterface(Object ckey,
                         Object iface)

    - #### removeInterface

          public int removeInterface(Object key,
                            Object iface)

    - #### disposeAndClear

          public void disposeAndClear(EventObject evt)

    - #### clear

          public void clear()